body {
    font-family: Arial, sans-serif;
    background: linear-gradient(135deg, #f06, #48f);
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.container {
    width: 90%;
    max-width: 1200px;
    background: #fff;
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
    text-align: center;
}

h2 {
    color: #333;
    font-size: 2em;
    margin-bottom: 20px;
}

.canvas-container {
    width: 100%;
    max-width: 1000px;
    margin: 20px auto;
    background-color: #f0f0f0;
    border-radius: 15px;
    padding: 10px;
    border: 2px solid #ddd;
    overflow: hidden;
}

.canvas {
    width: 100%;
    height: 400px;
}

.thumbnails-container {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-bottom: 20px;
    background: #fff;
    border-radius: 10px;
    padding: 10px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.thumbnail {
    width: 60px;
    height: 60px;
    object-fit: cover;
    cursor: pointer;
    border-radius: 10px;
    border: 2px solid #ddd;
    transition: transform 0.3s;
}

.thumbnail:hover {
    transform: scale(1.1);
}

.controls-container {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
    background: #fff;
    border-radius: 15px;
    padding: 15px;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.1);
}

.control {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.controls input[type="range"] {
    width: 150px;
    margin-top: 10px;
}

.buttons-container {
    margin-top: 20px;
}

.buttons-container button {
    background-color: #48f;
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    margin: 10px;
    border-radius: 15px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.buttons-container button:hover {
    background-color: #36c;
}

form {
    margin-top: 20px;
}

form input[type="file"] {
    margin-right: 10px;
    padding: 5px;
}
